// Hangman32Dlg.h : header file
//

#ifndef CHANGMAN32DLG_H
#define CHANGMAN32DLG_H

#include "Hangman.h"
#include "PictureButton.h"

/////////////////////////////////////////////////////////////////////////////
// CHangman32Dlg dialog
class CHangman32Dlg : public CDialog
{
// Construction
public:
	void OnOK();
	CHangman32Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHangman32Dlg)
	enum { IDD = IDD_HANGMAN32_DIALOG };
	CPictureButton	m_cntrlPic;
	CButton	m_btn26Z;
	CButton	m_btn25Y;
	CButton	m_btn24X;
	CButton	m_btn23W;
	CButton	m_btn22V;
	CButton	m_btn21U;
	CButton	m_btn20T;
	CButton	m_btn19S;
	CButton	m_btn18R;
	CButton	m_btn17Q;
	CButton	m_btn16P;
	CButton	m_btn15O;
	CButton	m_btn14N;
	CButton	m_btn13M;
	CButton	m_btn12L;
	CButton	m_btn11K;
	CButton	m_btn10J;
	CButton	m_btn9I;
	CButton	m_btn8H;
	CButton	m_btn7G;
	CButton	m_btn6F;
	CButton	m_btn5E;
	CButton	m_btn4D;
	CButton	m_btn3C;
	CButton	m_btn2B;
	CButton	m_btn1A;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHangman32Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DrawPic();
	void ProcessButtonPress(char Letter);
	void RefreshScoreDisplay();
	void DoWinner();
	void DoLoser();
	void ResetButtons();
	HICON m_hIcon;
	CHangman m_Hangman;

	// Generated message map functions
	//{{AFX_MSG(CHangman32Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1_A();
	afx_msg void OnButton2_B();
	afx_msg void OnButton3_C();
	afx_msg void OnButton4_D();
	afx_msg void OnButton5_E();
	afx_msg void OnButton6_F();
	afx_msg void OnButton7_G();
	afx_msg void OnButton8_H();
	afx_msg void OnButton9_I();
	afx_msg void OnButton10_J();
	afx_msg void OnButton11_K();
	afx_msg void OnButton12_L();
	afx_msg void OnButton13_M();
	afx_msg void OnButton14_N();
	afx_msg void OnButton15_O();
	afx_msg void OnButton16_P();
	afx_msg void OnButton17_Q();
	afx_msg void OnButton18_R();
	afx_msg void OnButton19_S();
	afx_msg void OnButton20_T();
	afx_msg void OnButton21_U();
	afx_msg void OnButton22_V();
	afx_msg void OnButton23_W();
	afx_msg void OnButton24_X();
	afx_msg void OnButton25_Y();
	afx_msg void OnButton26_Z();
	afx_msg void OnGameHint();
	afx_msg void OnGameNew();
	afx_msg void OnHelpAbouthangman32();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();
// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
